/*html{*/
/*	!* Prevent Bulma's scrollbar always visible, added on 2024-02-11, see: https://shahed.link/4bxLnNg *!*/
/*	overflow-y: auto;*/
/*}*/
body{
	/*user-select: none;*/
	overflow: auto;
}

a, img{
	-webkit-user-drag: none!important;
}

.navbar-shadow {
	box-shadow: 0px 8px 16px grey;
}

.is-circle {
	border-radius: 50%;
}

.is-width-100 {
	width: 100%;
}

.ums-table-col-equal{
	/*see: https://shahed.link/3kcZuBz
	*/
	table-layout: fixed;
	width: 100%;
}

dialog{
	border-radius: 12px;
}

input:invalid {
	background-color:lemonchiffon ;
}

.button {
	margin-top: 3px;
	margin-bottom: 3px;
}

/*-----------------------------------------------------------------
Modal dialogue box ----------------------------------------------*/
#loadingModal{
	width: 75%;
	top: -25%;
	padding: 60px;
}
#loadingModal p{
	text-align: center;
}
#loadingModal::backdrop{
	background-color: rgb(0,0,0);
	opacity: 60%;
}
#progressFormSubmitting{
	width: 75%;
	top: -25%;
	padding: 60px;
}
#progressFormSubmitting p{
	text-align: center;
}
#progressFormSubmitting::backdrop{
	background-color: rgb(0,0,0);
	opacity: 60%;
}

/* -----------------------------------------------------------------
Bulma fix --------------------------------------------------------*/
/* fix the bulma background issue when theme is black */

.has-background-black-light, .table.has-background-black-light, .message.is-black{
	background-color: #EEEEEE;
}

.message.is-black .message-header {
	/*background-color: slategrey;*/
}

.navbar.is-black {
	background: linear-gradient(180deg, rgba(0,0,0,1) 46%, rgba(160,160,160,1) 92%);
	/* Created with: https://cssgradient.io/   */
}

.button.is-black.is-hovered, .button.is-black:hover:not([disabled]) {
	background-color: #7A7D81;
}

.button.is-light.is-hovered, .button.is-light:hover:not([disabled]) {
	background-color: #dbdbdb;
}

/* ------------------------------------------------------------------
Hide Modules gallery:  ----------------------------------------------*/
div.container > div.navbar-brand > div.navbar-item{
	display: none;
}

/* ------------------------------------------------------------------
Modules gallery:  -------------------------------------------------*/
.ums-modules-list{
	display: none;
}
.ums-modules-list:has(a:not(.is-hidden)){
	/* The parent has an "a" element,
	but this element does not has "is-hidden" class	 */
	display: block;
}
.ums-modules-list > .box{
	width: 150px;
	height: 150px;
	margin: 10px;
	display: inline-grid;
}
.ums-modules-list > hr{
	margin: 10px;
	/*padding: 0px;*/
	/*color: black;*/
}
.ums-modules-list > h3{
	margin-top: 70px;
}

/* -------------------------------------------------------------------
Print  -------------------------------------------------------------*/
@media only print {

	body {
		zoom: 70%;
	}

	* {
		background: transparent !important;
		color: black!important;
		box-shadow: none !important;
		text-shadow: none!important;
	}

	*[class^="has-text-"] {
		color: black!important;
	}

	html, body{
		padding-top: 0!important;
	}

	nav, header, footer, h1, .select{
		display: none;
	}

	#mGallery{
		display: none;
	}

	h1 + hr{
		display: none;
	}

	::-webkit-scrollbar {
		display: none;
	}

	button{
		display: none!important;
	}

	hr{
		border-bottom: thin dashed black;
	}

	.message-header{
		display: block;
		text-align: center;
		font-size: xx-large;
		padding-top: 0;
		padding-bottom: 0;
		margin-top: 0;
		border-bottom: 2px solid black;
		border-top: 2px solid black;
	}

	main::before{
		font-weight: bold;
		text-align: center;
		content: "Fareast International University";
		display: block;
		font-size: x-large;
		/*margin-bottom: 6px;*/
		/*border-bottom: 2px solid black;*/
	}

	main::after{
		font-weight: normal;
		font-size: smaller;
		content: "This document is generated usign the Fareast UMS software.";
		display: block;
		margin-top: 48px;
		border-top: 2px solid black;
		text-align: center;
	}

	.ums-print-hidden{
		visibility: hidden!important;
	}

	.ums-print-none{
		display: none!important;
	}
}

@media screen {
	.ums-print-only{
		display: none;
	}
}


